maemo.org - Talk

maemo.org - Talk (https://talk.maemo.org/index.php)
-   Maemo 5 / Fremantle (https://talk.maemo.org/forumdisplay.php?f=40)
-   -   Unable to load rex in Metasploit 3 (https://talk.maemo.org/showthread.php?t=98575)

cHeXs7eR 2016-12-18 11:13

Unable to load rex in Metasploit 3
 
I have recently been trying to install Metasploit Framework in my Nokia N900.

Whenever I try to run it using
Code:

ruby msfconsole
, I get the following message:

Code:

../msfconsole:117:in `require': no such file to load -- rex (LoadError) from ../msfconsole:117


Has anybody experienced the same?

nieldk 2016-12-18 11:57

Re: Unable to load rex in Metasploit 3
 
perhaps

gem install rex

?

cHeXs7eR 2016-12-18 12:05

Re: Unable to load rex in Metasploit 3
 
Quote:

Originally Posted by nieldk (Post 1520689)
perhaps

gem install rex

?

Code:

/bin/sh: gem: not found
If I try to apt-get install rubygems, I will get a 'package not found'.

Also, there's a rex folder in my instllation path, but the script does not seem to find it.

cHeXs7eR 2016-12-19 12:00

Re: Unable to load rex in Metasploit 3
 
UPDATE:

I installed the latest Rubygems from its official website, and wgot rex 1.0.2 (the one compatible with my Ruby version (1.8.7)) from their old gems repo.

It seems, though, that Metasploit is still not able to see where is it installed...


All times are GMT. The time now is 07:17.

vBulletin® Version 3.8.8